import EventEmitter from 'eventemitter3';
import ResonatorAudioContext from './audio-context';
import { BaseLoader } from './loaders/base-loader';
export default class DataPool extends EventEmitter {
    private loader;
    private data;
    private maxData;
    private context;
    constructor(context: ResonatorAudioContext, loader?: BaseLoader, maxData?: number);
    get(path: string): Promise<AudioBuffer>;
    clear(): void;
}
